Package org.apache.solr.common.util

# Enum Class FastJavaBinDecoder.Tag

java.lang.Object
java.lang.Enum<FastJavaBinDecoder.Tag>
org.apache.solr.common.util.FastJavaBinDecoder.Tag

All Implemented Interfaces:
  `Serializable`, `Comparable<FastJavaBinDecoder.Tag>`, `java.lang.constant.Constable`

Enclosing class:
  `FastJavaBinDecoder`

public static enum FastJavaBinDecoder.Tag extends Enum<FastJavaBinDecoder.Tag>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`_ARR`
`_BOOL_FALSE`
`_BOOL_TRUE`
`_BYTE`
`_BYTEARR`
`_DATE`
`_DOUBLE`
`_END`
`_ENUM_FIELD_VALUE`
`_EXTERN_STRING`
`_FLOAT`
`_INT`
`_ITERATOR`
`_LONG`
`_MAP`
`_MAP_ENTRY`
`_MAP_ENTRY_ITER`
`_NAMED_LST`
`_NULL`
`_ORDERED_MAP`
`_SHORT`
`_SINT`
`_SLONG`
`_SOLRDOC`
`_SOLRDOCLST`
`_SOLRINPUTDOC`
`_STR`
`_TAG_AND_LEN`

## Method Summary

Modifier and Type
Method
Description
`void`
`lazyRead(FastJavaBinDecoder.EntryImpl entry, org.apache.solr.common.util.FastJavaBinDecoder.StreamCodec codec)`
This should read the minimal data about the entry .
`Object`
`readObject(org.apache.solr.common.util.FastJavaBinDecoder.StreamCodec codec, FastJavaBinDecoder.EntryImpl entry)`
Read the entry as an Object.
`void`
`skip(FastJavaBinDecoder.EntryImpl entry, org.apache.solr.common.util.FastJavaBinDecoder.StreamCodec codec)`
Read the entry from and discard the data.
`void`
`stream(FastJavaBinDecoder.EntryImpl currentEntry, org.apache.solr.common.util.FastJavaBinDecoder.StreamCodec codec)`
This applies to only container Objects.
`static FastJavaBinDecoder.Tag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FastJavaBinDecoder.Tag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### _NULL

public static final FastJavaBinDecoder.Tag _NULL

### _BOOL_TRUE

public static final FastJavaBinDecoder.Tag _BOOL_TRUE

### _BOOL_FALSE

public static final FastJavaBinDecoder.Tag _BOOL_FALSE

### _BYTE

public static final FastJavaBinDecoder.Tag _BYTE

### _SHORT

public static final FastJavaBinDecoder.Tag _SHORT

### _DOUBLE

public static final FastJavaBinDecoder.Tag _DOUBLE

### _INT

public static final FastJavaBinDecoder.Tag _INT

### _LONG

public static final FastJavaBinDecoder.Tag _LONG

### _FLOAT

public static final FastJavaBinDecoder.Tag _FLOAT

### _DATE

public static final FastJavaBinDecoder.Tag _DATE

### _MAP

public static final FastJavaBinDecoder.Tag _MAP

### _SOLRDOC

public static final FastJavaBinDecoder.Tag _SOLRDOC

### _SOLRDOCLST

public static final FastJavaBinDecoder.Tag _SOLRDOCLST

### _BYTEARR

public static final FastJavaBinDecoder.Tag _BYTEARR

### _ITERATOR

public static final FastJavaBinDecoder.Tag _ITERATOR

### _END

public static final FastJavaBinDecoder.Tag _END

### _SOLRINPUTDOC

public static final FastJavaBinDecoder.Tag _SOLRINPUTDOC

### _MAP_ENTRY_ITER

public static final FastJavaBinDecoder.Tag _MAP_ENTRY_ITER

### _ENUM_FIELD_VALUE

public static final FastJavaBinDecoder.Tag _ENUM_FIELD_VALUE

### _MAP_ENTRY

public static final FastJavaBinDecoder.Tag _MAP_ENTRY

### _TAG_AND_LEN

public static final FastJavaBinDecoder.Tag _TAG_AND_LEN

### _STR

public static final FastJavaBinDecoder.Tag _STR

### _SINT

public static final FastJavaBinDecoder.Tag _SINT

### _SLONG

public static final FastJavaBinDecoder.Tag _SLONG

### _ARR

public static final FastJavaBinDecoder.Tag _ARR

### _ORDERED_MAP

public static final FastJavaBinDecoder.Tag _ORDERED_MAP

### _NAMED_LST

public static final FastJavaBinDecoder.Tag _NAMED_LST

### _EXTERN_STRING

public static final FastJavaBinDecoder.Tag _EXTERN_STRING

## Method Details

### values

public static FastJavaBinDecoder.Tag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FastJavaBinDecoder.Tag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### stream

public void stream(FastJavaBinDecoder.EntryImpl currentEntry, org.apache.solr.common.util.FastJavaBinDecoder.StreamCodec codec) throws IOException
This applies to only container Objects. This is invoked only if there is a corresponding listener.

Throws:
  `IOException`

### lazyRead

public void lazyRead(FastJavaBinDecoder.EntryImpl entry, org.apache.solr.common.util.FastJavaBinDecoder.StreamCodec codec) throws IOException
This should read the minimal data about the entry . if the data is a primitive type , read the whole thing

Throws:
  `IOException`

### readObject

public Object readObject(org.apache.solr.common.util.FastJavaBinDecoder.StreamCodec codec, FastJavaBinDecoder.EntryImpl entry) throws IOException
Read the entry as an Object. The behavior should be similar to that of `JavaBinCodec.readObject(DataInputInputStream)`

Throws:
  `IOException`

### skip

public void skip(FastJavaBinDecoder.EntryImpl entry, org.apache.solr.common.util.FastJavaBinDecoder.StreamCodec codec) throws IOException
Read the entry from and discard the data. Do not create any objects

Throws:
  `IOException`